#include <SoftwareSerial.h>
#include "Wire.h" // Import the libraries needed to drive the LCD
#include "LiquidCrystal_I2C.h"
#include "dht.h" // Import DHT library for temperature and humidity sensor
#define dht_pin 8 // Connect the data port of temperature and humidity sensor to 8
#define illum_pin 7 // Connect the data port of the photosensitive resistance sensor to 7

dht DHT;
int illuminance = 0;

// Set the LCD screen
LiquidCrystal_I2C lcd(0x27,16,2); // 0x27 is the address of the I2C bus

void setup() {
    // pinMode(LED,OUTPUT);//Set LED to output mode
  Serial.begin(9600);//Set the baud rate to 9600
  
  // Delay waits for the system to initialize
  delay(1000);
  // Initializes the LCD screen
  lcd.init();
  // Turn on the backlight of the LCD screen
  lcd.backlight();
  lcd.setCursor(0,0);
  lcd.print("humi(%): ");
  lcd.setCursor(0, 1);  
  lcd.print("Temp(C): ");
}

void loop() {
  // Read the temperature and humidity sensor data
  DHT.read11(dht_pin);
  lcd.setCursor(8,0);
  lcd.print(DHT.humidity,1); 
  lcd.setCursor(8,1);
  lcd.print(DHT.temperature,1);

  illuminance = analogRead(illum_pin);  //The Intensity variable is stored by reading the Intensity from the simulated mouth 8
  Serial.print("illuminance = ");  //Serial output "Illuminance ="
  Serial.println(illuminance, DEC);     //The serial port prints the value of the Illuminance variable and wraps the line
  delay(1000);
}
